---------------------
PatchSet 5021 
Date: 2007/07/15 07:17:23
Author: amosjeffries
Branch: squid3-ipv6
Tag: (none) 
Log:
Fix IP comparison segfault bug in IPv4 mode.

Members: 
	lib/IPAddress.cc:1.1.2.55->1.1.2.56 

Index: squid3/lib/IPAddress.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/lib/Attic/IPAddress.cc,v
retrieving revision 1.1.2.55
retrieving revision 1.1.2.56
diff -u -r1.1.2.55 -r1.1.2.56
--- squid3/lib/IPAddress.cc	13 Jul 2007 13:48:05 -0000	1.1.2.55
+++ squid3/lib/IPAddress.cc	15 Jul 2007 07:17:23 -0000	1.1.2.56
@@ -1,6 +1,6 @@
 
 /*
- * $Id: IPAddress.cc,v 1.1.2.55 2007/07/13 13:48:05 amosjeffries Exp $
+ * $Id: IPAddress.cc,v 1.1.2.56 2007/07/15 07:17:23 amosjeffries Exp $
  *
  * DEBUG: section 14   IP Storage and Handling
  * AUTHOR: Amos Jeffries
@@ -818,8 +818,8 @@
     uint8_t *l = (uint8_t*)m_SocketAddr.sin6_addr.s6_addr;
     uint8_t *r = (uint8_t*)rhs.m_SocketAddr.sin6_addr.s6_addr;
 #else
-    uint8_t *l = (uint8_t*)m_SocketAddr.sin_addr.s_addr;
-    uint8_t *r = (uint8_t*)rhs.m_SocketAddr.sin_addr.s_addr;
+    uint8_t *l = (uint8_t*)&m_SocketAddr.sin_addr.s_addr;
+    uint8_t *r = (uint8_t*)&rhs.m_SocketAddr.sin_addr.s_addr;
 #endif
 
     // loop a byte-wise compare
